=== debian/changelog ===
gfarm (2.6.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2014].
  * gfarm-client: install `/usr/bin/gfln`.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 May 2015 00:45:00 +1000

gfarm (2.6.4+dfsg-1) unstable; urgency=low

  * New upstream release [April 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Apr 2015 20:06:11 +1000

gfarm (2.6.3+dfsg-1) unstable; urgency=low

  * New upstream release [April 2014].
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 Apr 2015 03:58:38 +1000

gfarm (2.6.2+dfsg-1) experimental; urgency=low

  * New upstream release [March 2014].
  * Install new man pages.
  * Install "unconfig" script templates.
  * watch: introduced "repacksuffix=+dfsg".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Mar 2015 21:11:18 +1100

gfarm (2.6.1+dfsg-1) experimental; urgency=low

  * New upstream release [March 2014].
  * Install new [config-gfarm.8, config-gfarm-update.8] man pages.
  * gfmd: promote "postgresql | slapd" to Recommends.
  * Patchworks:
    + New "pg_ctl.patch" to detect PostgreSQL version without "pg_config".
    - Removed [06_host_os_nickname, build-man, hardening, spelling, utf-8].

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 13 Mar 2015 10:39:31 +1100

gfarm (2.6.0+dfsg-2) experimental; urgency=low

  * Corrected symbols' architecture.
  * dh-systemd.
  * gfmd, gfsd: added "-v" option to service files.
    to log verbose messages on authentication.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 06 Jan 2015 05:24:33 +1100

gfarm (2.6.0+dfsg-1) experimental; urgency=low

  * New upstream release [December 2014].
  * New maintainer (Closes: #715446); removed Uploaders.
  * Added "debian/gbp.conf".
  * Added Vcs links to new repository at collab-maint.
  * Removed obsolete "DM-Upload-Allowed".
  * Standards-Version: 3.9.6.
  * Debhelper & compat to version 9.
  * Use dh-autoreconf (Closes: #727868).
  * "--as-needed" to minimise needless linking.
  * Cleanup; removed obsolete README.Debian.
  * Install upstream changelog as such.
  * Don't install upstream build instructions.
  * Ignore changes in "makes/config.mk".
  * Simplified installation of man pages.
  * Build with all hardening.
  * Build man pages.
  * Re-build JAR files from "build-indep" target.
  * gfarm-client:
    + install more utilities and man pages.
    + added "gfarm2fs" to Recommends.
  * gfmd:
    + remove RPATH using "chrpath".
    + Suggests postgresql OR slapd, not both.
  * gfmd, gfsd:
    + added "gfarm-client" to Recommends.
    + optimised list of installed files.
    + install systemd service templates used by "config-gfarm".
    + install systemd services.
    + prevent automatic service start-up (dh_installinit --no-start).
    + added LSB description to init files.
    + new postrm handlers to remove systemd services or purge.
    + new postinst handlers to create "_gfarmfs" user and make
      "/var/lib/gfarmfs" directory; Depends: +adduser.
  * Multi-Arch for -doc and "libgfarm1" packages.
  * libgfarm:
    + install symbols.
    - don't install .la file.
  * watch: minor update; dfsg mangle.
  * copyright:
    + converted to copyright-format-1.0.
    + added Files-Excluded section to remove "hpux/getmemsize.c"
      (taken from not-for-sale HPUX FAQ) and pre-built JAR files.
    + Expat a.k.a. MIT license for Debian packaging.
  * Patchworks:
    - 00_libraries.patch
    - 09_change-shell.patch
    - debian-changes-2.4.1-1
    - 04_MAXPATHLEN.patch
    - 05_PATH_MAX.patch
    - 07_MAXHOSTNAMELEN.patch
    + build-hurd.patch (consolidated Hurd "MAX" definitions)
    + build-man.patch (correct man pages build process)
    + clean.patch (cleanup assist)
    + debian.patch (Debian path customisations)
    + defaults.patch (enable PostgreSQL "Data page checksums")
    + hardening.patch (use CPPFLAGS)
    + spelling.patch (minor spelling corrections)
    + utf8.patch (use UTF8 encoding to fix JAR re-build)
  * Build-Depends:
    + dh-autoreconf
    + chrpath
    + docbook-xml
    + docbook-xsl
    + xsltproc
    - postgresql
    - autoconf
    - libtool
  * Build-Depends-Indep:
    + ant
    + default-jdk

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 05 Jan 2015 20:42:29 +1100
