## gfarm 2.6.5+dfsg

=== debian/changelog ===
gfarm (2.6.5+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2015].
  * Avoid collision between generated and package-provided services:
    - dropped "debian.patch" (custom .service files should stay under "/etc").
    - postinst: do not remove .service files from "/lib/systemd/system",
      trust dh_systemd helper to do the clean-up.
  * gfarm-client: install utilities `gfsudo`, `gfpcopy` and `gfprep`.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 25 Jun 2015 18:16:18 +1000
