## gfarm 2.6.5.1+dfsg

=== debian/changelog ===
gfarm (2.6.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release [July 2015].
  * libgfarm-dev: do not provide static library files (*.a) any more.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 08 Jul 2015 20:22:46 +1000
