=== debian/control ===
Source: gfarm
Section: net
Priority: extra
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9) ,dh-autoreconf ,autotools-dev ,dh-systemd ,chrpath
              ,libssl-dev
              ,libldap2-dev
              ,libpq-dev
        ,docbook-xml
        ,docbook-xsl
        ,xsltproc
Build-Depends-Indep: default-jdk, ant
Standards-Version: 3.9.6
Homepage: http://datafarm.apgrid.org/
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gfarm.git
Vcs-Git: git://anonscm.debian.org/collab-maint/gfarm.git

Package: gfarm-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: Gfarm file system documentation
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides documentation for Gfarm.

Package: libgfarm1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gfarm file system runtime library
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the shared library required for accessing
 files via Gfarm.

Package: libgfarm-dev
Section: libdevel
Architecture: any
Depends: libgfarm1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libgfarm-dev
Description: Gfarm file system development files
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the static library, header files, and man
 pages required for Gfarm development.

Package: gfmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
        ,adduser
Recommends: gfarm-client, postgresql | slapd
Suggests: gfarm-doc
Description: Gfarm file system metadata server
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the Gfarm metadata server, which equips a
 host to function as a server node managing file system metadata.

Package: gfsd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
        ,adduser
Recommends: gfarm-client
Suggests: gfarm-doc
Description: Gfarm file system daemon
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides the Gfarm file system daemon, which equips a
 host to function as a storage node for the network.

Package: gfarm-client
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gfarm2fs
Suggests: gfarm-doc
Description: Gfarm file system clients
 The Gfarm file system is designed to turn commodity PCs into nodes of
 a distributed storage network, implementing the Grid Datafarm
 architecture for global petascale data-intensive computing. It solves
 performance and reliability problems in NFS and AFS by means of
 multiple file replicas, and not only prevents performance degradation
 due to access concentration, but also supports fault tolerance and
 disaster recovery.
 .
 This package provides client utilities for Gfarm.
