## gfarm 2.6.7%2Bdfsg

=== man/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS = man1 man3 man5 man7 man8 ja

include $(top_srcdir)/makes/subdir.mk
