=== lib/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

GFSHOOK_TARGETS = gfs_hook

SUBDIRS = \
	libgfarm
#XXX
#	$(gfshook_targets)

include $(top_srcdir)/makes/subdir.mk
