=== regress/Makefile ===
--- 
+++ 
@@ -23,7 +23,8 @@
 	lib/libgfarm/gfarm/gfs_getxattr_cached \
 	lib/libgfarm/gfarm/gfm_inode_or_name_op_test \
 	server/gfmd/db_journal \
-	manual/lib/libgfarm/gfarm/gfs_pio_failover
+	manual/lib/libgfarm/gfarm/gfs_pio_failover \
+	manual/server/gfsd/fo_notify_test
 
 check test: all
 	@echo ""
