=== debian/changelog ===
gfarm (2.6.7+dfsg-1) unstable; urgency=medium

  * New upstream release [November 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 28 Nov 2015 19:54:47 +1100

gfarm (2.6.6+dfsg-1) unstable; urgency=medium

  * New upstream release [August 2015].
  * Updated URL of the upstream home page.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 30 Aug 2015 12:32:37 +1000
