=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
         ,xsltproc
 Build-Depends-Indep: default-jdk, ant
 Standards-Version: 3.9.6
-Homepage: http://datafarm.apgrid.org/
+Homepage: https://sourceforge.net/p/gfarm/wiki/Home/
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gfarm.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/gfarm.git
