=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,10 @@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+            --disable-static
 
 override_dh_auto_build:
 	dh_auto_build
