## gfarm 2.6.8+dfsg

=== debian/changelog ===
gfarm (2.6.8+dfsg-1) unstable; urgency=medium

  * New upstream release [January 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 16 Jan 2016 21:49:41 +1100
