## gfarm 2.6.11+dfsg

=== bench/thput-gfpio/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 2373 2006-01-12 00:54:22Z soda $
+# $Id: Makefile 10066 2016-03-01 23:13:19Z tatebe $
 
 top_builddir = ../..
 top_srcdir = $(top_builddir)
@@ -14,5 +14,3 @@
 OBJS = thput-gfpio.o
 
 all: $(PROGRAM)
-
-include $(top_srcdir)/makes/gfptool.mk
