=== debian/changelog ===
gfarm (2.6.11+dfsg-2) unstable; urgency=medium

  * New patch to fix FTBFS on Alpha (Closes: #827021).
    Thanks, Michael Cree.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jun 2016 14:12:09 +1000

gfarm (2.6.11+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2016].
  * Standards-Version: 3.9.8.
  * Vcs-Git URL to HTTPS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 05 Jun 2016 23:15:55 +1000

gfarm (2.6.10+dfsg-2) unstable; urgency=medium

  * Updated missing symbols/i386.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 May 2016 14:58:22 +1000

gfarm (2.6.10+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * symbols: Introduced "Build-Depends-Package" field.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Apr 2016 18:50:50 +1000

gfarm (2.6.9+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * Removed obsolete "build-arm.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Apr 2016 05:01:37 +1000

gfarm (2.6.8+dfsg-2) unstable; urgency=medium

  * Fixed FTBFS when built with "dpkg-buildpackage -A" (Closes: #806030).
  * New patch to fix FTBFS on [armel,armhf].
  * Standards-Version: 3.9.7.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 26 Mar 2016 17:13:38 +1100
